Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.io
Class BufferCache.CachedBuffer

    java.lang.Object
      org.mortbay.io.AbstractBuffer
          org.mortbay.io.ByteArrayBuffer
              org.mortbay.io.ByteArrayBuffer.CaseInsensitive
                  org.mortbay.io.BufferCache.CachedBuffer

All Implemented Interfaces:
  java.lang.Cloneable, Buffer, Buffer.CaseInsensitve

Enclosing class:
  BufferCache

    public static class BufferCache.CachedBuffer

extends ByteArrayBuffer.CaseInsensitive

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.io.ByteArrayBuffer
`ByteArrayBuffer.CaseInsensitive`

Nested classes/interfaces inherited from interface org.mortbay.io.Buffer
`Buffer.CaseInsensitve`

Field Summary

Fields inherited from class org.mortbay.io.ByteArrayBuffer
`_bytes`

Fields inherited from class org.mortbay.io.AbstractBuffer
`__IMMUTABLE, __READONLY, __READWRITE, __VOLATILE, _access, _get, _hash, _hashGet, _hashPut, _mark, _put, _string, _view, _volatile`

Fields inherited from interface org.mortbay.io.Buffer
`IMMUTABLE, NON_VOLATILE, READONLY, READWRITE, VOLATILE`

Constructor Summary
`BufferCache.CachedBuffer(java.lang.String value, int ordinal)`

Method Summary
`BufferCache.CachedBuffer` | `getAssociate(java.lang.Object key)`
`int` | `getOrdinal()`
`void` | `setAssociate(java.lang.Object key, BufferCache.CachedBuffer associate)`

Methods inherited from class org.mortbay.io.ByteArrayBuffer.CaseInsensitive
`equals`

Methods inherited from class org.mortbay.io.ByteArrayBuffer
`array, capacity, compact, equalsIgnoreCase, get, hashCode, peek, peek, poke, poke, poke, readFrom, space, wrap, wrap, writeTo`

Methods inherited from class org.mortbay.io.AbstractBuffer
`asArray, asImmutableBuffer, asMutableBuffer, asNonVolatileBuffer, asReadOnlyBuffer, buffer, clear, duplicate, get, get, getIndex, hasContent, isImmutable, isReadOnly, isVolatile, length, mark, mark, markIndex, peek, peek, put, put, put, put, putIndex, reset, rewind, setGetIndex, setMarkIndex, setPutIndex, skip, slice, sliceFromMark, sliceFromMark, toDebugString, toDetailString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BufferCache.CachedBuffer

    public BufferCache.CachedBuffer(java.lang.String value,
                                    int ordinal)

Method Detail

### getOrdinal

    public int getOrdinal()

### getAssociate

    public BufferCache.CachedBuffer getAssociate(java.lang.Object key)

### setAssociate

    public void setAssociate(java.lang.Object key,
                             BufferCache.CachedBuffer associate)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.